Source

petsc / configure

Full commit
#!/usr/bin/env python

import sys
if not type(sys.version_info) is tuple and sys.version_info.major > 2:
  print('Configure does not support Python 3 yet, please run as')
  print('  python2 ' + ' '.join(["'" + a + "'" for a in sys.argv]))
  sys.exit(1)

import os
execfile(os.path.join(os.path.dirname(__file__), 'config', 'configure.py'))